package fplot;

import java.awt.event.*;
/**
 * 
 * 
 * @author Christian Semrau
 * <a href="mailto:Christian.Semrau@student.uni-magdeburg.de">
 * Christian.Semrau@student.uni-magdeburg.de</a>
 * <br><a href="http://chsemrau.de">Homepage</a>
 */
class GraphZoomer extends Zoomer{
	GraphFlaeche gf;


public GraphZoomer(GraphFlaeche c){
	super(c);
	gf = c;
}
/** Aktiviert den MouseMotionListener, wenn die Maus ins Fenster kommt */
public void mouseEntered(MouseEvent e) {
	super.mouseEntered(e);
	gf.writeKoords(e.getX(), e.getY());
}
/** Aktualisiert die Koordinatenanzeige */
public void mouseMoved(MouseEvent e) {
	super.mouseMoved(e);
	gf.writeKoords(e.getX(), e.getY());
}
public void mouseWasDragged(MouseEvent e) {
	gf.berechne(8);
	gf.repaint();
}
public void mouseWasReleased(MouseEvent e) {
	gf.writeKoords(e.getX(), e.getY());
	if (gf.getGraphScale() != 1){
		gf.berechne(1);
		gf.repaint();
	}
}
}